[arch-commits] Commit in python-hunter/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Fri Mar 13 13:51:30 UTC 2020
Date: Friday, March 13, 2020 @ 13:51:29
Author: felixonmars
Revision: 595958
archrelease: copy trunk to community-testing-x86_64
Added:
python-hunter/repos/community-testing-x86_64/
python-hunter/repos/community-testing-x86_64/PKGBUILD
(from rev 595957, python-hunter/trunk/PKGBUILD)
----------+
PKGBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 44 insertions(+)
Copied: python-hunter/repos/community-testing-x86_64/PKGBUILD (from rev 595957, python-hunter/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2020-03-13 13:51:29 UTC (rev 595958)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-hunter
+pkgver=3.1.1
+pkgrel=1
+arch=('x86_64')
+pkgdesc='Hunter is a flexible code tracing toolkit'
+license=('BSD')
+url='https://github.com/ionelmc/python-hunter'
+depends=('python-manhole' 'python-colorama')
+optdepends=('gdb: for remote support')
+makedepends=('python-pip' 'python-wheel' 'python-manhole' 'cython')
+checkdepends=('python-pytest-benchmark' 'python-virtualenv' 'python-pytest-runner' 'gdb'
+ 'python-process-tests' 'python-aspectlib')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/ionelmc/python-hunter/archive/v$pkgver.tar.gz")
+sha512sums=('1d4f2dc0c7a8e13ac16db556c63a6726b7815d1cbe4ce265a5755323e5d05354d3d4926042950edff1d0330444fa7289bd22f25c792b05efad8bf8c8f5bc2d72')
+
+prepare() {
+ rm python-hunter-$pkgver/src/hunter/*.c
+}
+
+build() {
+ cd "$srcdir"/python-hunter-$pkgver
+ python setup.py build
+}
+
+check() {
+ # Hack to process .pth files properly
+ # ptrace needed to pass the remote tests
+
+ cd "$srcdir"/python-hunter-$pkgver
+ virtualenv "$srcdir/pyvenv" --system-site-packages
+ (
+ . "$srcdir/pyvenv/bin/activate"
+ python setup.py install
+ python setup.py pytest
+ ) || warning "Tests failed"
+}
+
+package() {
+ cd python-hunter-$pkgver
+ python setup.py install --root "$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list